Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.request
Class FindBusiness

    java.lang.Object
      org.uddi4j.UDDIElement
          org.uddi4j.request.FindBusiness

All Implemented Interfaces:
  java.io.Serializable

public class FindBusiness
extends UDDIElement

Represents the find_business element within the UDDI version 2.0 schema. This class contains the following types of methods:

- A constructor that passes the required fields.
- A Constructor that will instantiate the object from an appropriate XML DOM element.
- Get/set methods for each attribute that this element can contain.
- A get/setVector method is provided for sets of attributes.
- A SaveToXML method that serializes this class within a passed in element.

Typically, this class is used to construct parameters for, or interpret responses from, methods in the UDDIProxy class.

Element description:

This message is used to search for summary results listing registered businessEntity data matching specific criteria.

Author:
  David Melgar (dmelgar@us.ibm.com), Ravi Trivedi (ravi_trivedi@hp.com), Vivek Chopra (vivek@soaprpc.com), Ozzy (ozzy@hursley.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Element` | `base`
`static java.lang.String` | `UDDI_TAG`

Fields inherited from class org.uddi4j.UDDIElement
`GENERIC, SOAPNS, XMLNS, XMLNS_PREFIX`

Constructor Summary
`FindBusiness()` Default constructor.
`FindBusiness(org.w3c.dom.Element base)` Construct the object from a DOM tree.

Method Summary
`CategoryBag` | `getCategoryBag()`
`Name` | `getDefaultName()`
`java.lang.String` | `getDefaultNameString()`
`DiscoveryURLs` | `getDiscoveryURLs()`
`FindQualifiers` | `getFindQualifiers()`
`IdentifierBag` | `getIdentifierBag()`
`java.lang.String` | `getMaxRows()`
`int` | `getMaxRowsInt()`
`Name` | `getName()` Deprecated. This method has been deprecated. Use `getNameVector()` or `getDefaultName()`
`java.lang.String` | `getNameString()` Deprecated. This method has been deprecated. Use `getNameVector()` or `getDefaultNameString()`
`java.util.Vector` | `getNameVector()` Get all names.
`TModelBag` | `getTModelBag()`
`void` | `saveToXML(org.w3c.dom.Element parent)` Save an object to the DOM tree.
`void` | `setCategoryBag(CategoryBag s)`
`void` | `setDefaultName(Name name)` This method stores this name as the Default Name (i.e., places it in the first location in the Vector)
`void` | `setDefaultNameString(java.lang.String value, java.lang.String lang)` This stores this String, in the given language, as the Default Name (i.e., places it in the first location in the Vector.)
`void` | `setDiscoveryURLs(DiscoveryURLs s)`
`void` | `setFindQualifiers(FindQualifiers s)`
`void` | `setIdentifierBag(IdentifierBag s)`
`void` | `setMaxRows(int s)`
`void` | `setMaxRows(java.lang.String s)`
`void` | `setName(Name s)` Deprecated. This method has been deprecated. Use `setNameVector(Vector)` or `setDefaultName(Name)`
`void` | `setName(java.lang.String s)` Deprecated. This method has been deprecated. Use `setNameVector(Vector)` or `setDefaultNameString(String, String)`
`void` | `setNameVector(java.util.Vector s)`
`void` | `setTModelBag(TModelBag s)`

Methods inherited from class org.uddi4j.UDDIElement
`getChildElementsByTagName, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UDDI_TAG

    public static final java.lang.String UDDI_TAG

See Also:
  Constant Field Values

### base

    protected org.w3c.dom.Element base

Constructor Detail

### FindBusiness

    public FindBusiness()

  Default constructor. Avoid using the default constructor for validation. It does not validate required fields. Instead, use the required fields constructor to perform validation.

### FindBusiness

    public FindBusiness(org.w3c.dom.Element base)
                 throws UDDIException

  Construct the object from a DOM tree. Used by UDDIProxy to construct an object from a received UDDI message.

Parameters:
  `base` - Element with the name appropriate for this class.
Throws:
  `UDDIException` - Thrown if DOM tree contains a SOAP fault or a disposition report indicating a UDDI error.

Method Detail

### setMaxRows

    public void setMaxRows(java.lang.String s)

### setMaxRows

    public void setMaxRows(int s)

### setFindQualifiers

    public void setFindQualifiers(FindQualifiers s)

### setName

    public void setName(Name s)

  Deprecated. This method has been deprecated. Use `setNameVector(Vector)` or `setDefaultName(Name)`

### setName

    public void setName(java.lang.String s)

  Deprecated. This method has been deprecated. Use `setNameVector(Vector)` or `setDefaultNameString(String, String)`

### setDefaultName

    public void setDefaultName(Name name)

  This method stores this name as the Default Name (i.e., places it in the first location in the Vector)

### setDefaultNameString

    public void setDefaultNameString(java.lang.String value,
                                     java.lang.String lang)

  This stores this String, in the given language, as the Default Name (i.e., places it in the first location in the Vector.)

### setNameVector

    public void setNameVector(java.util.Vector s)

  Parameters:
    `s` - Vector of Name objects

### setIdentifierBag

    public void setIdentifierBag(IdentifierBag s)

### setCategoryBag

    public void setCategoryBag(CategoryBag s)

### setTModelBag

    public void setTModelBag(TModelBag s)

### setDiscoveryURLs

    public void setDiscoveryURLs(DiscoveryURLs s)

### getMaxRows

    public java.lang.String getMaxRows()

### getMaxRowsInt

    public int getMaxRowsInt()

### getFindQualifiers

    public FindQualifiers getFindQualifiers()

### getName

    public Name getName()

  Deprecated. This method has been deprecated. Use `getNameVector()` or `getDefaultName()`

### getNameString

    public java.lang.String getNameString()

  Deprecated. This method has been deprecated. Use `getNameVector()` or `getDefaultNameString()`

### getDefaultName

    public Name getDefaultName()

### getDefaultNameString

    public java.lang.String getDefaultNameString()

### getNameVector

    public java.util.Vector getNameVector()

  Get all names.

  Returns:
    Vector of Name objects.

### getIdentifierBag

    public IdentifierBag getIdentifierBag()

### getCategoryBag

    public CategoryBag getCategoryBag()

### getTModelBag

    public TModelBag getTModelBag()

### getDiscoveryURLs

    public DiscoveryURLs getDiscoveryURLs()

### saveToXML

    public void saveToXML(org.w3c.dom.Element parent)

  Save an object to the DOM tree. Used to serialize an object to a DOM tree, usually to send a UDDI message.
  Used by UDDIProxy.

  Specified by:
    `saveToXML` in class `UDDIElement`
  Parameters:
    `parent` - Object will serialize as a child element under the passed in parent element.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.